Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.engine
Class SOAPMessageBodyBasedDispatcher

    java.lang.Object
      org.apache.axis2.handlers.AbstractHandler
          org.apache.axis2.engine.AbstractDispatcher
              org.apache.axis2.dispatchers.SOAPMessageBodyBasedDispatcher
                  org.apache.axis2.engine.SOAPMessageBodyBasedDispatcher

All Implemented Interfaces:
  Handler

Deprecated. use org.apache.axis2.dispatchers.SOAPMessageBodyBasedDispatcher

    public class SOAPMessageBodyBasedDispatcher

extends SOAPMessageBodyBasedDispatcher

Dispatches based on the namespace URI of the first child of the body.

Nested Class Summary

Nested classes/interfaces inherited from interface org.apache.axis2.engine.Handler
`Handler.InvocationResponse`

Field Summary

Fields inherited from class org.apache.axis2.dispatchers.SOAPMessageBodyBasedDispatcher
`NAME`

Fields inherited from class org.apache.axis2.handlers.AbstractHandler
`handlerDesc`

Constructor Summary
`SOAPMessageBodyBasedDispatcher()` Deprecated.

Method Summary

Methods inherited from class org.apache.axis2.dispatchers.SOAPMessageBodyBasedDispatcher
`findOperation, findService, initDispatcher`

Methods inherited from class org.apache.axis2.engine.AbstractDispatcher
`invoke`

Methods inherited from class org.apache.axis2.handlers.AbstractHandler
`cleanup, flowComplete, getHandlerDesc, getName, getParameter, init, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SOAPMessageBodyBasedDispatcher

    public SOAPMessageBodyBasedDispatcher()

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.